## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name xword_dl

Name:           python-xword-dl
Version:        2025.4.2.1
Release:        %autorelease
Summary:        Download tool for online crossword puzzles

License:        MIT
URL:            https://github.com/thisisparker/xword-dl
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  sed

%global _description %{expand:
xword-dl is a command-line tool to download .puz files for online crossword
puzzles from supported outlets or arbitrary URLs with embedded crossword
solvers. For a supported outlet, you can easily download the latest puzzle, or
specify one from the archives.}

%description %_description

%package -n     python3-xword-dl
Summary:        %{summary}

%description -n python3-xword-dl %_description

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Relax dependencies version pinning
sed -i requirements.txt -e 's/==.*$//g'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}

%check
%pyproject_check_import

%files -n python3-xword-dl -f %{pyproject_files}
%doc README.md
%{_bindir}/xword-dl

%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 2025.4.2.1-2
- Rebuilt for Python 3.14

* Mon Apr 07 2025 Packit <hello@packit.dev> - 2025.4.2.1-1
- Update to 2025.4.2.1 upstream release
- Resolves: rhbz#2357073

* Wed Jan 22 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 2024.7.20-1
- Update to 2024.7.20; Fixes: RHBZ#2299037

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2023.12.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023.12.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 2023.12.2-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023.12.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 2023.12.2-1
- Update to 2023.12.2; Fixes: RHBZ#2237558, RHBZ#2253667

* Sat Aug 12 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2023.7.2-1
- Update to 2023.7.2; Fixes: RHBZ#2219203

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2023.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 19 2023 Python Maint <python-maint@redhat.com> - 2023.4.3-2
- Rebuilt for Python 3.12

* Tue May 02 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2023.4.3-1
- Update to 2023.4.3; Fixes: RHBZ#2184232

* Wed Feb 15 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2023.1.31-1
- Update to 2023.1.31; Fixes: RHBZ#2164664

* Sun Jan 22 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2023.1.19-1
- Update to 2023.1.19; Fixes: RHBZ#2162589

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2022.12.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 17 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2022.12.26-1
- Update to 2022.12.26; Fixes: RHBZ#2156409

* Sat Dec 24 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 2022.12.14-1
- Initial import; Fixes: RHBZ#2155775
## END: Generated by rpmautospec
